Bug 1264987 - missing autoloader of php-react-promise in guzzle
missing autoloader of php-react-promise in guzzle
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php-guzzlehttp-guzzle (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 16:19 EDT by François Kooman
Modified: 2015-10-12 15:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-guzzlehttp-guzzle-5.3.0-4.fc23 php-guzzlehttp-guzzle-5.3.0-4.fc22 php-guzzlehttp-guzzle-5.3.0-4.fc21 php-guzzlehttp-guzzle-5.3.0-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 14:14:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description François Kooman 2015-09-21 16:19:37 EDT
Description of problem:

The autoloader of php-guzzlehttp-guzzle does not contain php-react-promise.


Version-Release number of selected component (if applicable):


php-guzzlehttp-guzzle-5.3.0-1.fc22.noarch

How reproducible:

always 

Steps to Reproduce:
1. cat /usr/share/php/GuzzleHttp/autoload.php

Actual results:

no mention of /usr/share/php/React/Promise/autoload.php.

Expected results:

Also require_once '/usr/share/php/React/Promise/autoload.php'.

Additional info:
Comment 1 Shawn Iwinski 2015-09-21 16:31:03 EDT
That is because a package only requires its' direct dependencies.  It should not know about the dependencies of its' dependencies.

php-guzzlehttp-guzzle only directly requires php-guzzlehttp-ringphp (https://github.com/guzzle/guzzle/blob/5.3.0/composer.json) so it only adds an autoload require for php-guzzlehttp-ringphp (http://pkgs.fedoraproject.org/cgit/php-guzzlehttp-guzzle.git/tree/php-guzzlehttp-guzzle.spec#n118).

php-guzzlehttp-ringphp directly requires php-guzzlehttp-streams and php-react-promise (https://github.com/guzzle/RingPHP/blob/1.1.0/composer.json) so it adds an autoload require for both of those packages (http://pkgs.fedoraproject.org/cgit/php-guzzlehttp-ringphp.git/tree/php-guzzlehttp-ringphp.spec#n135).

Are you running into failures somewhere?
Comment 2 François Kooman 2015-09-21 16:37:12 EDT
Ah I think you fixed it in -3? I am still running -1 :) 

In -1 the php-guzzlehttp-guzzle autoloader is not correct and fails to autoload php-guzzlehttp-ringphp

Any idea when -3 will be pushed to Fedora/EPEL?
Comment 3 François Kooman 2015-09-21 16:37:37 EDT
with fails to autoload I mean *does not autoload*.
Comment 4 Shawn Iwinski 2015-09-21 16:40:00 EDT
:(  I thought I had released the fixes everywhere :(

I will do so as soon as I can -- perhaps tomorrow.
Comment 5 François Kooman 2015-09-22 03:11:01 EDT
Thanks! 

It seems it was only built for fc23: http://koji.fedoraproject.org/koji/packageinfo?packageID=18783
Comment 6 Fedora Update System 2015-09-24 09:04:04 EDT
php-guzzlehttp-guzzle-5.3.0-4.fc21 php-guzzlehttp-ringphp-1.1.0-6.fc21 php-guzzlehttp-streams-3.0.0-6.fc21 php-react-promise-2.2.0-7.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16603
Comment 7 Fedora Update System 2015-09-24 09:04:04 EDT
php-guzzlehttp-guzzle-5.3.0-4.fc23 php-guzzlehttp-ringphp-1.1.0-6.fc23 php-guzzlehttp-streams-3.0.0-6.fc23 php-react-promise-2.2.0-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16602
Comment 8 Fedora Update System 2015-09-24 09:08:31 EDT
php-guzzlehttp-guzzle-5.3.0-4.fc22 php-guzzlehttp-ringphp-1.1.0-6.fc22 php-guzzlehttp-streams-3.0.0-6.fc22 php-react-promise-2.2.0-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16604
Comment 9 Fedora Update System 2015-09-24 09:08:31 EDT
php-guzzlehttp-guzzle-5.3.0-4.el7 php-guzzlehttp-ringphp-1.1.0-6.el7 php-guzzlehttp-streams-3.0.0-6.el7 php-react-promise-2.2.0-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8220
Comment 10 Fedora Update System 2015-09-25 10:22:55 EDT
php-guzzlehttp-guzzle-5.3.0-4.el7, php-guzzlehttp-ringphp-1.1.0-6.el7, php-guzzlehttp-streams-3.0.0-6.el7, php-react-promise-2.2.0-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-guzzlehttp-guzzle php-guzzlehttp-ringphp php-guzzlehttp-streams php-react-promise'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8220
Comment 11 Fedora Update System 2015-09-25 11:20:22 EDT
php-guzzlehttp-guzzle-5.3.0-4.fc21, php-guzzlehttp-ringphp-1.1.0-6.fc21, php-guzzlehttp-streams-3.0.0-6.fc21, php-react-promise-2.2.0-7.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-guzzlehttp-guzzle php-guzzlehttp-ringphp php-guzzlehttp-streams php-react-promise'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16603
Comment 12 Fedora Update System 2015-09-25 12:33:12 EDT
php-guzzlehttp-guzzle-5.3.0-4.fc23, php-guzzlehttp-ringphp-1.1.0-6.fc23, php-guzzlehttp-streams-3.0.0-6.fc23, php-react-promise-2.2.0-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-guzzlehttp-guzzle php-guzzlehttp-ringphp php-guzzlehttp-streams php-react-promise'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16602
Comment 13 Fedora Update System 2015-09-26 20:38:54 EDT
php-guzzlehttp-guzzle-5.3.0-4.fc22, php-guzzlehttp-ringphp-1.1.0-6.fc22, php-guzzlehttp-streams-3.0.0-6.fc22, php-react-promise-2.2.0-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-guzzlehttp-guzzle php-guzzlehttp-ringphp php-guzzlehttp-streams php-react-promise'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16604
Comment 14 Fedora Update System 2015-10-05 14:14:51 EDT
php-guzzlehttp-guzzle-5.3.0-4.fc23, php-guzzlehttp-ringphp-1.1.0-6.fc23, php-guzzlehttp-streams-3.0.0-6.fc23, php-react-promise-2.2.0-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-10-05 17:54:05 EDT
php-guzzlehttp-guzzle-5.3.0-4.fc22, php-guzzlehttp-ringphp-1.1.0-6.fc22, php-guzzlehttp-streams-3.0.0-6.fc22, php-react-promise-2.2.0-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-10-05 18:49:53 EDT
php-guzzlehttp-guzzle-5.3.0-4.fc21, php-guzzlehttp-ringphp-1.1.0-6.fc21, php-guzzlehttp-streams-3.0.0-6.fc21, php-react-promise-2.2.0-7.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-10-12 15:59:33 EDT
php-guzzlehttp-guzzle-5.3.0-4.el7, php-guzzlehttp-ringphp-1.1.0-6.el7, php-guzzlehttp-streams-3.0.0-6.el7, php-react-promise-2.2.0-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.